Subject: Re: bug#38867: 27.0.60; fileloop-initialize-replace misses occurrences to be replaced

From: Noam Postavsky <[email-masked]>
Date: Tue, 31 Mar 2020 18:23:54 -0400

tags 38867 fixed
close 38867 28.1
quit

Eli Zaretskii <[email-masked]> writes:

>> Should this go to emacs-27 or master?  The assumption that point
>> would be preserved seems to be long-standing, but I guess the change
>> in the default of switch-to-buffer-preserve-window-point is what
>> surfaces the bug and makes it more recent...
>
> I think this can wait for Emacs 28, but if you disagree, please tell
> why.

I don't really feel strongly about it, so I've pushed to master.

[1: a477a7b86b]: 2020-03-31 18:17:53 -0400
  Don't lose point during fileloop replace (Bug#38867)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=a477a7b86ba7c59a90b18283cc86769c27de6c7c